def kmprint(the_string):
    print("\n\x1b[1;32m" + str(the_string) + "\x1b[0m")
def ksmprint(the_string):
    print("\n\x1b[1;34m" + str(the_string) + "\x1b[0m")


print("###  This script is intended to check if the python-modules of")
print("###  Kratos work correctly")
print("###  if it passes then the importing works correctly")

kmprint("Importing KratosMultiphysics:")
import KratosMultiphysics

kmprint("Regular import (new_linear_solver_factory.py)")
import new_linear_solver_factory as newlin

kmprint("Module import of AnalysisStage")
from KratosMultiphysics import analysis_stage as anStage

kmprint("printing variable VELOCITY:")
print(KratosMultiphysics.VELOCITY)

kmprint("### From here Submodule-Testing-Prints ###")
kmprint('  # Attempting to import submodule "km_submod"')
import KratosMultiphysics.km_subfolder_testing.km_submod as submodu
kmprint('  # Attempting to call function "KMSubHello" from submodule "km_submod"')
submodu.KMSubHello()

kmprint('\n  # Attempting to import subsubmodule "km_subsubmod"')
import KratosMultiphysics.km_subfolder_testing.km_subsubfolder_testing.km_subsubmod as subsubmodu
kmprint('  # Attempting to call function "KMSubSubHello" from subsubmodule "km_subsubmod"')
subsubmodu.KMSubSubHello()

ksmprint("Importing StructuralMechanicsApplication:")
import KratosMultiphysics.StructuralMechanicsApplication as KSM

ksmprint("Regular import (structural_mechanics_solver.py)")
import structural_mechanics_solver

ksmprint("Module import of StructuralMechanicsAnalysis")
from KratosMultiphysics.StructuralMechanicsApplication import structural_mechanics_analysis

ksmprint("printing variable (StructuralMechanics) POINT_LOAD:")
print(KSM.POINT_LOAD)

ksmprint("### From here Submodule-Testing-Prints ###")

ksmprint('  # Attempting to import submodule "submod"')
import KratosMultiphysics.StructuralMechanicsApplication.subfolder_testing.submod as submodu
ksmprint('  # Attempting to call function "SubHello" from submodule "submod"')
submodu.SubHello()

ksmprint('\n  # Attempting to import subsubmodule "subsubmod"')
import KratosMultiphysics.StructuralMechanicsApplication.subfolder_testing.subsubfolder_testing.subsubmod as subsubmodu
ksmprint('  # Attempting to call function "SubSubHello" from subsubmodule "subsubmod"')
subsubmodu.SubSubHello()